socket_local6(3)

NAME
socket_local6 - get local IP address of socket

SYNTAX
#include <libowfat/socket.h>

int socket_local6(int s,char ip[16],uint16 *port,uint32 *scope_id);

DESCRIPTION
socket_local6 returns the local IPv6 address, port and scope ID for the UDP or TCP socket s and writes the IPv6 address to ip, the port to port and the scope ID to scope_id.

If scope_id is the null pointer, socket_local6 will discard the scope ID.

If something goes wrong, socket_local6 returns -1, setting errno appropriately.

SEE ALSO
socket_accept6(3), socket_remote6(3)